package com.yonge.cooleshow.auth.api.entity;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_role_menu):
 */
public class SysRoleMenu {
	
	private Long id;

	/** 角色ID */
	@ApiModelProperty(value = "角色ID",required = false)
	private Long roleId;
	
	/** 菜单ID */
	@ApiModelProperty(value = "菜单ID",required = false)
	private Long menuId;

	public SysRoleMenu(Long roleId, Long menuId) {
		this.roleId = roleId;
		this.menuId = menuId;
	}

	public SysRoleMenu() {
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public void setRoleId(Long roleId){
		this.roleId = roleId;
	}
	
	public Long getRoleId(){
		return this.roleId;
	}
			
	public void setMenuId(Long menuId){
		this.menuId = menuId;
	}
	
	public Long getMenuId(){
		return this.menuId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
